> ## Documentation Index
> Fetch the complete documentation index at: https://docs.membrane.agency/llms.txt
> Use this file to discover all available pages before exploring further.

# create-external-app

> Create a new private app. Only use this if list-external-apps found no matching public app.



## OpenAPI

````yaml /api-reference/membrane-api.json post /external-apps
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /external-apps:
    post:
      summary: create-external-app
      description: >-
        Create a new private app. Only use this if list-external-apps found no
        matching public app.
      operationId: createExternalApp
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                key:
                  type: string
                  minLength: 1
                  description: Machine key (e.g., "attio"). Unique per workspace.
                name:
                  type: string
                  minLength: 1
                  description: Human-readable app name (e.g., "Attio").
                appUri:
                  description: App's main URL (e.g., "https://attio.com").
                  type: string
                  format: uri
                logoUri:
                  type: string
                  format: uri
                categories:
                  description: '[INTERNAL] Categorization tags used by the Universe catalog.'
                  type: array
                  items:
                    type: string
                defaultConnectorId:
                  description: >-
                    [INTERNAL] Connector ID surfaced as the default for this app
                    in the Universe catalog.
                  type: string
                basePackageId:
                  description: '[INTERNAL] Base package ID this app is derived from.'
                  type: string
                hasFreeTestAccount:
                  description: '[INTERNAL] Whether the app has a free test account.'
                  nullable: true
                  type: boolean
                freeTestAccountGuide:
                  description: '[INTERNAL] Guide for obtaining a free test account.'
                  type: string
                freeTestAccountGuideVerifiedAt:
                  description: >-
                    [INTERNAL] When the free test account guide was last
                    verified.
                  nullable: true
                  type: string
                  format: date-time
                  pattern: >-
                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                tenantId:
                  type: string
              required:
                - key
                - name
              additionalProperties: false
      responses:
        '200':
          description: >-
            Create a new private app. Only use this if list-external-apps found
            no matching public app.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  key:
                    type: string
                  uuid:
                    type: string
                  name:
                    type: string
                  isReadOnly:
                    type: boolean
                  isPublic:
                    type: boolean
                required:
                  - id
                  - key
                  - name
                additionalProperties: {}
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````